Package org.drinkless.tdlib

# Class TdApi.StatisticalValue

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.StatisticalValue

Enclosing class:
  `TdApi`

public static class TdApi.StatisticalValue extends TdApi.Object
A value with information about its recent changes.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `double`
  `growthRatePercentage`
  The growth rate of the value, as a percentage.
  `double`
  `previousValue`
  The value for the previous day.
  `double`
  `value`
  The current value.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StatisticalValue()`
  A value with information about its recent changes.
  `StatisticalValue(double value, double previousValue, double growthRatePercentage)`
  A value with information about its recent changes.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### value

    public double value
    The current value.

  - ### previousValue

    public double previousValue
    The value for the previous day.

  - ### growthRatePercentage

    public double growthRatePercentage
    The growth rate of the value, as a percentage.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StatisticalValue

    public StatisticalValue()
    A value with information about its recent changes.

  - ### StatisticalValue

    public StatisticalValue(double value, double previousValue, double growthRatePercentage)
    A value with information about its recent changes.
    Parameters:
      `value` - The current value.
      `previousValue` - The value for the previous day.
      `growthRatePercentage` - The growth rate of the value, as a percentage.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR